<?php

if (!isset($user['id']))
{
    header("Location: /index.php");
    exit;
}

define('ACCESS', true);
$act = 'index';
$from = 'dialog';
$hash = md5(mt_rand());
	//error_reporting(E_ALL); // включаем показ ошибок
	//ini_set('display_errors',true); // включаем показ ошибок
if (isset($_GET['act']) && preg_match('#^([A-z]+)$#i', $_GET['act'])) {
    if (is_file(ROOT . '_modules/mail/act/' . $_GET['act'] . '.php'))
        $act = $_GET['act'];
}
$thisLink = "/{$thisPage}";
// Конфигурационный файл
require 'config.php';

if (isset($_GET['peer']) && is_numeric($_GET['peer']) && DB::$pdo -> querySingle("SELECT COUNT(id) FROM `users` WHERE `id` = ?", array((int) $_GET['peer'])))
	$peer = d_user((int) $_GET['peer'], false);
else
	$peer = d_user($user['id'], false);

if (isset($_GET['chat']) && preg_match('/^([0-9]+)$/', $_GET['chat']))
	$chat = (int) $_GET['chat'];
else
	$chat = -1;

if (isset($_GET['from']) && preg_match('#^([A-z]+)$#i', $_GET['from']))
	$from = $_GET['from'];

if (isset($_GET['hash']) && preg_match('#^([A-z0-9]+)$#i', $_GET['hash']))
	$hash = $_GET['hash'];

require ROOT . '_modules/mail/act/' . $act . '.php';
echo '</div>';
require (CORE.'foot.php');